<?xml version="1.0"?>
<configuration>


  <system.data>
    <DbProviderFactories>
      <remove invariant="FirebirdSql.Data.FirebirdClient"/>
      <remove invariant="MySql.Data.MySqlClient"/>

      <add name="FirebirdClient Data Provider" invariant="FirebirdSql.Data.FirebirdClient" description=".Net Framework Data Provider for Firebird" type="FirebirdSql.Data.FirebirdClient.FirebirdClientFactory, FirebirdSql.Data.FirebirdClient, Version=3.1.1.0, Culture=neutral, PublicKeyToken=3750abcc3150b00c"/>
      
      <add name="MySQL Data Provider" invariant="MySql.Data.MySqlClient" description=".Net Framework Data Provider for MySQL" type="MySql.Data.MySqlClient.MySqlClientFactory, MySql.Data, Version=6.3.7.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d"/>
      <remove invariant="MySql.Data.MySqlClient"/>
      <add name="MySQL Data Provider" invariant="MySql.Data.MySqlClient" description=".Net Framework Data Provider for MySQL" type="MySql.Data.MySqlClient.MySqlClientFactory, MySql.Data, Version=5.1.7.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d"/>
      <remove invariant="MySql.Data.MySqlClient"/>
      <add name="MySQL Data Provider" invariant="MySql.Data.MySqlClient" description=".Net Framework Data Provider for MySQL" type="MySql.Data.MySqlClient.MySqlClientFactory, MySql.Data, Version=6.2.5.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d" />

      <remove invariant="Devart.Data.MySql" />
      <add name="Devart.Data.MySql" invariant="Devart.Data.MySql"  description="Devart dotConnect for MySQL" type="Devart.Data.MySql.MySqlProviderFactory, Devart.Data.MySql, Version=6.80.332.0, Culture=neutral, PublicKeyToken=09af7300eec23701" />

    </DbProviderFactories>
  </system.data>
  

  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="WS_EMED_OBJSoap" closeTimeout="00:11:00" openTimeout="00:11:00"
            receiveTimeout="00:10:00" sendTimeout="00:01:00" allowCookies="false"
            bypassProxyOnLocal="false" hostNameComparisonMode="StrongWildcard"
            maxBufferSize="65536" maxBufferPoolSize="524288" maxReceivedMessageSize="65536"
            messageEncoding="Text" textEncoding="utf-8" transferMode="Buffered"
            useDefaultWebProxy="true">
          <readerQuotas maxDepth="32" maxStringContentLength="81920000" maxArrayLength="963840000"
              maxBytesPerRead="909600" maxNameTableCharCount="99384000" />
          <security mode="None">
            <transport clientCredentialType="None" proxyCredentialType="None"
                realm="" />
            <message clientCredentialType="UserName" algorithmSuite="Default" />
          </security>
        </binding>
      </basicHttpBinding>
      <customBinding>

      </customBinding>
    </bindings>
    <client>
      <endpoint address="http://172.20.0.88/emed/wsapplication/ws_emed_obj.asmx"
          binding="basicHttpBinding" bindingConfiguration="WS_EMED_OBJSoap"
          contract="eMedWebService.WS_EMED_OBJSoap" name="WS_EMED_OBJSoap" />

    </client>
  </system.serviceModel>  
  
  <system.net>
    <settings>
        <servicePointManager expect100Continue="false" />
    </settings>
  </system.net>
</configuration>
